obex_usb_intf_t Struct Reference

USB-specific OBEX interface information. More...

`#include <obex_const.h>`

Collaboration diagram for obex_usb_intf_t:
[legend]

## Data Fields

char * | manufacturer
| Manufacturer, e.g.
char * | product
| Product, e.g.
char * | serial
| Product serial number.
char * | configuration
| USB device configuration description.
char * | control_interface
| Control interface description.
char * | data_interface_idle
| Idle data interface description, typically empty.
char * | data_interface_active
| Active data interface description, typically empty.
obex_usb_intf_service_t * | service
| Service information descriptor, may be NULL if absent.
unsigned int | idVendor
| USB-IF vendor ID.
unsigned int | idProduct
| USB-IF product ID.
unsigned int | bus_number
| Bus number that a USB device is connected to.
unsigned int | device_address
| Device address on the bus.
unsigned int | interface_number
| USB device interface number.
struct obex_usb_intf_transport_t * | intf
| Internal information for the transport layer in the library.

## Detailed Description

USB-specific OBEX interface information.

## Field Documentation

## bus_number

unsigned int obex_usb_intf_t::bus_number

Bus number that a USB device is connected to.

## configuration

char* obex_usb_intf_t::configuration

USB device configuration description.

## control_interface

char* obex_usb_intf_t::control_interface

Control interface description.

## data_interface_active

char* obex_usb_intf_t::data_interface_active

Active data interface description, typically empty.

## data_interface_idle

char* obex_usb_intf_t::data_interface_idle

Idle data interface description, typically empty.

## device_address

unsigned int obex_usb_intf_t::device_address

Device address on the bus.

## idProduct

unsigned int obex_usb_intf_t::idProduct

USB-IF product ID.

## idVendor

unsigned int obex_usb_intf_t::idVendor

USB-IF vendor ID.

## interface_number

unsigned int obex_usb_intf_t::interface_number

USB device interface number.

## intf

struct obex_usb_intf_transport_t* obex_usb_intf_t::intf

Internal information for the transport layer in the library.

## manufacturer

char* obex_usb_intf_t::manufacturer

Manufacturer, e.g.

Nokia

## product

char* obex_usb_intf_t::product

Product, e.g.

Nokia 6680

## serial

char* obex_usb_intf_t::serial

Product serial number.

## service

obex_usb_intf_service_t* obex_usb_intf_t::service

Service information descriptor, may be NULL if absent.

The documentation for this struct was generated from the following file:

- obex_const.h